$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.35.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.35.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EC1047AEF57F17EC496AB676D06DBFA8F020BCD6E1E64375BAC1947F10F4EF21'
  checksumType = 'sha256'
  checksum64 = 'EC1047AEF57F17EC496AB676D06DBFA8F020BCD6E1E64375BAC1947F10F4EF21'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.35-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
